"""memo_record

迁移 ID: cc54f4b17487
父迁移:
创建时间: 2025-01-20 21:33:25.585605

"""

from __future__ import annotations

from collections.abc import Sequence

from alembic import op
import sqlalchemy as sa


revision: str = "cc54f4b17487"
down_revision: str | Sequence[str] | None = None
branch_labels: str | Sequence[str] | None = ("2",)
depends_on: str | Sequence[str] | None = None


def upgrade(name: str = "") -> None:
    if name:
        return
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "nonebot_plugin_memos_memo_record",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("memo", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(), nullable=False),
        sa.Column("uid", sa.String(), nullable=False),
        sa.Column("session_persist_id", sa.Integer(), nullable=False),
        sa.Column("message_id", sa.String(), nullable=False),
        sa.Column("message_ids", sa.JSON(), nullable=False),
        sa.Column("message", sa.String(), nullable=False),
        sa.Column("created_at", sa.DateTime(), nullable=False),
        sa.Column("updated_at", sa.DateTime(), nullable=False),
        sa.ForeignKeyConstraint(
            ["memo"],
            ["nonebot_plugin_memos_memo.id"],
            name=op.f("fk_nonebot_plugin_memos_memo_record_memo_nonebot_plugin_memos_memo"),
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_nonebot_plugin_memos_memo_record")),
        info={"bind_key": "nonebot_plugin_memos"},
    )
    # ### end Alembic commands ###


def downgrade(name: str = "") -> None:
    if name:
        return
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("nonebot_plugin_memos_memo_record")
    # ### end Alembic commands ###
